/**
 * ParticipationPhysicalPerformer2.java
 *
 * File generated from the medication2::ParticipationPhysicalPerformer2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ParticipationPhysicalPerformer2.
 *
 * 
 */

@XmlType(name = "ParticipationPhysicalPerformer")
@XmlEnum
@XmlRootElement(name = "ParticipationPhysicalPerformer2")
public enum ParticipationPhysicalPerformer2 {
	@XmlEnumValue("PRF")
	PRF("PRF"),
	@XmlEnumValue("DIST")
	DIST("DIST"),
	@XmlEnumValue("PPRF")
	PPRF("PPRF"),
	@XmlEnumValue("SPRF")
	SPRF("SPRF");
	
	private final String value;

    ParticipationPhysicalPerformer2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ParticipationPhysicalPerformer2 fromValue(String v) {
        for (ParticipationPhysicalPerformer2 c: ParticipationPhysicalPerformer2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
